boost::geometry::resolve_variant::relate< Geometry1, boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> > Struct Template Reference

List of all members.

## Classes

struct | visitor

## Static Public Member Functions

template<typename Mask >
static bool | apply (Geometry1 const &geometry1, boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> const &geometry2, Mask const &mask)

### template<typename Geometry1, BOOST_VARIANT_ENUM_PARAMS(typename T)>
struct boost::geometry::resolve_variant::relate< Geometry1, boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >

## Member Function Documentation

template<typename Geometry1 , BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename Mask >

static bool boost::geometry::resolve_variant::relate< Geometry1, boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::apply | ( | Geometry1 const & | geometry1,
|  | boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> const & | geometry2,
|  | Mask const & | mask
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK